petsc-3.4.2 2013-07-02

# KSPPythonSetType

Initalize a KSP object implemented in Python.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPPythonSetType(KSP ksp,const char pyname[])

Collective on KSP

### Input Parameter

| ksp | - the linear solver (KSP) context.
| pyname | - full dotted Python name [package].module[.{class|function}]

### Options Database Key

-ksp_python_type <pyname> -

### Keywords

KSP, Python

### See Also

KSPCreate(), KSPSetType(), KSPPYTHON, PetscPythonInitialize()

Level:intermediate
Location:src/ksp/ksp/impls/python/pythonksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages